import request from '../../utils/request'

/**
 * 获取同行客户分页列表
 *
 */
export function GetCustomerPage(data) {
  return request({
    url: '/B2BCustomer/GetCustomerPage',
    method: 'post',
    data
  })
}

/**
 * 新增修改同业客户资料
 *
 */
export function SetCustomer(data) {
  return request({
    url: '/B2BCustomer/SetCustomer',
    method: 'post',
    data
  })
}


/**
 * 根据编号删除同业客户资料
 *
 */
export function RemoveCustomer(data) {
  return request({
    url: '/B2BCustomer/RemoveCustomer',
    method: 'post',
    data
  })
}

/**
 * 根据编号获取同业客户资料
 *
 */
export function GetCustomer(data) {
  return request({
    url: '/B2BCustomer/GetCustomer',
    method: 'post',
    data
  })
}

/**
 * 同业客户资料审批
 *
 */
export function AuditCustomer(data) {
  return request({
    url: '/B2BCustomer/AuditCustomer',
    method: 'post',
    data
  })
}

/**
 * 获取营销任务分页列表
 *
 */
export function GetCustomerTaskPage(data) {
  return request({
    url: '/B2BCustomer/GetCustomerTaskPage',
    method: 'post',
    data
  })
}

/**
 * 删除营销任务
 *
 */
export function RemoveCustomerTask(data) {
  return request({
    url: '/B2BCustomer/RemoveCustomerTask',
    method: 'post',
    data
  })
}

/**
 * 获取任务详情
 *
 */
export function GetCustomerTask(data) {
  return request({
    url: '/B2BCustomer/GetCustomerTask',
    method: 'post',
    data
  })
}

/**
 * 保存任务详情
 *
 */
export function SetCustomerTask(data) {
  return request({
    url: '/B2BCustomer/SetCustomerTask',
    method: 'post',
    data
  })
}


/**
 * 获取任务类型列表
 *
 */
export function GetTaskTypeList(data) {
  return request({
    url: '/B2BCustomer/GetTaskTypeList',
    method: 'post',
    data
  })
}

/**
 * 获取幸福存折接口
 *
 */
export function GetCustomerBalanceDetailPage(data) {
  return request({
    url: '/B2BCustomer/GetCustomerBalanceDetailPage',
    method: 'post',
    data
  })
}


/**
 * 获取客户完成任务分页列表
 *
 */
export function queryCustomerFinishtaskPage(data) {
  return request({
    url: '/B2BCustomer/GetCustomerFinishtaskPage',
    method: 'post',
    data
  })
}

/**
 * 根据编号获取任务完成详情列表
 *
 */
export function queryCustomerFinishtaskDetailsPage(data) {
  return request({
    url: '/B2BCustomer/GetCustomerFinishtaskDetailsPage',
    method: 'post',
    data
  })
}


/**
 * 获取同业提现分页列表
 *
 */
 export function getCustomerRemitPageList(data) {
  return request({
    url: '/B2BRemit/GetCustomerRemitPageList',
    method: 'post',
    data
  })
}

/**
 * 奖品兑换
 *
 */
export function saveExchangeKudo(data) {
  return request({
    url: '/B2BCustomer/ExchangeKudo',
    method: 'post',
    data
  })
}

 